package com.ibm.sysmgt.raidmgr.dataproc.config.external;

// ---------------------------------------------------------------------
//  Copyright:    (C) International Business Machines Corporation, 2002
//
//  Project Des:  Java Common Raid Manager
//
//  Module Name:  StorageComponentBattery.java
//
//  Description:
//
//  Revision(s):  Title - Description            Author          Date
//  ------------  ------------------------     -----------    ----------
//  0.0.0         Creation                      DAK           02/07/02
//

import java.io.*;
import com.ibm.sysmgt.raidmgr.util.*;

public class StorageComponentBattery extends StorageComponent 
{
    static final long serialVersionUID = 7313484169297651950L;
    private int age;
    private int lifeRemaining;
    private int slot;

    /** The StorageComponentBattery constructor.
      * @param type
      * @param status
      * @param age
      * @param lifeRemaining
      * @param slot - owning controller slot, or NOT_DEFINED if no owning controller
      * @param reference - a reference to this object
      */
    public StorageComponentBattery (int type,
                                    int status,     
                                    int age,          
                                    int lifeRemaining,
                                    int slot,
                                    Object reference)
    {
        super(type, status, reference);

        this.age = age;
        this.lifeRemaining = lifeRemaining;
        this.slot = slot;
    }

    /** Get the age
      * @return the age
      */
    public int getAge() 
    {
        return age;
    }

    /** Get the lifeRemaining
      * @return the lifeRemaining
      */
    public int getLifeRemaining() 
    {
        return lifeRemaining;
    }

    /** Get the owning controller slot
      * @return the owning controller slot
      */
    public int getSlot() 
    {
        return slot;
    }
}
